/*
 * Copyright 2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_MODEM_CONFIG_H_
#define INC_MODEM_CONFIG_H_

#include "thingstream.h"

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif


bool check_modem_config(ThingstreamTransport *modem);
void setup_modem(void);

#if defined(__cplusplus)
}
#endif

#endif /* INC_MODEM_CONFIG_H_ */
